/*---------------------------------------过程展示---------------------------------------*/
.process-wrap_container {
  position: relative;
  overflow: hidden;
}

.process-wrap_container .process-container {
  display: flex;
  gap: 20px;
  height: 550px;
  /* padding: 0 16px; */
  background: white;
}

.process-wrap_container .overlay {
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  width: 100%;
  height: 100%;
  background: white;
  font-size: 300px;
  font-weight: bold;
  white-space: nowrap;
  overflow: hidden;
  letter-spacing: -20px;
  font-kerning: none;
  color: black;
  mix-blend-mode: screen;
  z-index: 999;

  pointer-events: none;
  /* 防止遮挡点击 */
}

.overlay.animate-textZoom {
    animation: textZoom 2s ease-in 0.5s forwards;
}


@keyframes textZoom {
  0% {
    transform: scale(1);
    opacity: 1;
  }

  80% {
    transform: scale(100);
    opacity: 0.8;

  }

  100% {
    transform: scale(100);
    opacity: 0;
    visibility: hidden;
  }
}

.process-wrap_container .process-card {
  flex: 1;
  position: relative;
  border-radius: 18px;
  overflow: hidden;
  transition: flex 0.5s cubic-bezier(0.16, 1, 0.3, 1);
  cursor: pointer;
}

.process-wrap_container .process-card img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

.process-wrap_container .process-card::after {
  content: '';
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 50%;
  background: linear-gradient(to top, rgba(0, 0, 0, 0.7), transparent);
  pointer-events: none;
}

.process-wrap_container .process-label {
  position: absolute;
  left: 28px;
  bottom: 28px;
  color: #fff;
  font-size: 26px;
  font-weight: 600;
  z-index: 2;
  text-shadow: 0 2px 10px rgba(0, 0, 0, 0.3);
}

@media (min-width: 769px) {
  .process-wrap_container .process-container:hover .process-card {
    flex: 0.9;
  }

  .process-wrap_container .process-container .process-card:hover {
    flex: 1.8;
  }
}

@media (max-width: 1200px) {
  .process-wrap_container .process-container {
    height: 400px;
    gap: 16px;
  }

  .process-wrap_container .process-label {
    font-size: 24px;
    left: 24px;
    bottom: 24px;
  }
}

@media (max-width: 992px) {
  .process-wrap_container .process-container {
    height: 360px;
    gap: 14px;
  }
}

@media (max-width: 768px) {
    .process-wrap_container .overlay {
        display: none;
    }
  .process-wrap_container .process-container {
    flex-wrap: wrap;
    height: auto;
    gap: 12px;
    /* padding: 0 12px; */
  }

  .process-wrap_container .process-card {
    flex: 1 1 calc(50% - 6px);
    height: 320px;
    border-radius: 16px;
    /* 移动端圆角缩小更精致 */
  }

  .process-wrap_container .process-label {
    font-size: 20px;
    left: 18px;
    bottom: 18px;
  }
}

@media (max-width: 480px) {
  .process-wrap_container .process-container {
    gap: 10px;
    /* padding: 0 10px; */
  }

  .process-wrap_container .process-card {
    flex: 1 1 100%;
    height: 280px;
    border-radius: 14px;
  }

  .process-wrap_container .process-label {
    font-size: 18px;
    left: 16px;
    bottom: 16px;
  }
}

@media (max-width: 360px) {
  .process-wrap_container .process-card {
    height: 260px;
  }
}










/*--------------------------------------轮播---------------------------------------*/
.banner-swiper {
    width: 100%;
    height: 100vh;
    overflow: hidden;
}

.banner-swiper .swiper-slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.banner-swiper .swiper-slide {
    position: relative;
    overflow: hidden;
}

/* .banner-swiper .slide-inner {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
} */

.banner-swiper .swiper-pagination-bullet {
    width: 12px;
    height: 12px;
    background: rgba(255, 255, 255, 0.5);
    border-radius: 6px;
    margin: 0 6px !important;
    transition: all 0.3s ease;
    opacity: 1 !important;
}

.banner-swiper .swiper-pagination-bullet-active {
    width: 30px;
    background: #ffffff;
}

.banner-swiper .swiper-pagination {
    bottom: 20px !important;
}

.banner-swiper .swiper-button-next,
.banner-swiper .swiper-button-prev {
    width: 44px;
    /* 按钮大小 */
    height: 44px;
    color: #fff;
    /* 箭头颜色 */
    background: rgba(0, 0, 0, 0.3);
    /* 半透明背景 */
    border-radius: 50%;
    /* 圆形按钮 */
    border: 2px solid rgba(255, 255, 255, 0.5);
    /* 边框 */
    transition: all 0.3s ease;
}

.banner-swiper .swiper-button-next:hover,
.banner-swiper .swiper-button-prev:hover {
    background: rgba(255, 255, 255, 0.9);
    color: #000;
    /* hover变色 */
    border-color: #fff;
}

.banner-swiper .swiper-button-next:after,
.banner-swiper .swiper-button-prev:after {
    font-size: 18px;
    /* 箭头大小 */
    font-weight: bold;
}

.banner-swiper .swiper-button-prev {
    right: 120px;
    bottom: 30px;
    left: inherit;
    top: initial;
}

.banner-swiper .swiper-button-next {
    bottom: 30px;
    right: 50px;
    left: inherit;
    top: inherit;
}

@media (max-width: 1024px) {
    .banner-swiper .swiper-button-next,
    .banner-swiper .swiper-button-prev {
        display: none;
    }
}

@media (max-width: 768px) {
    .banner-swiper {
        /* 手机端按钮缩小 */
        /* .swiper-button-prev { left: 15px; }
        .swiper-button-next { right: 15px; } */
    }

    .banner-swiper {
        height: auto;
    }
    /*.banner-swiper .swiper-slide img {*/
    /*    object-fit: contain;*/
    /*}*/



    .banner-swiper .swiper-button-next,
    .banner-swiper .swiper-button-prev {
        width: 32px;
        height: 32px;
    }

    .banner-swiper .swiper-button-next:after,
    .banner-swiper .swiper-button-prev:after {
        font-size: 14px;
    }
}


















/*---------------------------------------产品展示---------------------------------------*/
.pro-banner_container {
  width: 100%;
  height: 98vh;
  min-height: 700px;
  overflow: hidden;
  position: relative;
  background: #f6f6f6;
  display: flex;
  align-items: center;
}

.pro-banner_container::before {
  content: "";
  position: absolute;
  width: 1000px;
  height: 90vh;
  border-radius: 50%;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  background: radial-gradient(circle, transparent 58%, rgba(0, 0, 0, 0.03) 58.2%, transparent 58.5%, rgba(0, 0, 0, 0.025) 65%, transparent 65.3%, rgba(0, 0, 0, 0.02) 72%, transparent 72.3%, rgba(0, 0, 0, 0.015) 79%, transparent 79.3%);
}

.pro-banner_container .swiper {
  width: 100%;
  height: 100%;
  padding: 0 80px;
}

.pro-banner_container .swiper-slide {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 0.4s ease;
  /* 非激活态默认缩小+半透明 */
  transform: scale(0.7);
  opacity: 0.5;
}

.pro-banner_container .swiper-slide-active {
  transform: scale(1);
  opacity: 1;
}

.pro-banner_container .slide-inner {
  width: 100%;
  max-width: 900px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 30px;
}

.pro-banner_container .content {
  width: 320px;
  z-index: 2;
}

.pro-banner_container .content h2 {
  font-size: 36px;
  font-weight: 700;
  color: #2d2d2d;
  margin-bottom: 25px;
  letter-spacing: 1px;
   display: -webkit-box;
  -webkit-line-clamp: 2;    /* 限制行数 */
  line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.pro-banner_container .content p {
  color: #666;
  font-size: 15px;
  line-height: 2;
  text-transform: uppercase;
}

.pro-banner_container .btn {
  margin-top: 50px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 180px;
  height: 56px;
  background: #E60012;
  color: #fff;
  text-decoration: none;
  font-weight: 700;
  position: relative;
  clip-path: polygon(8% 0, 100% 0, 92% 100%, 0 100%);
  transition: .3s;
}

.pro-banner_container .btn:hover {
  transform: translateY(-3px);
}

.pro-banner_container .product {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

.pro-banner_container .product img {
  width: 100%;
  max-height: 500px;
  object-fit: contain;
  position: relative;
  z-index: 2;
}

.pro-banner_container .swiper-slide::after {
  content: "";
  z-index: -1;
  border: 1px dashed #d3131352;
  background: radial-gradient(circle, #e6191957 0%, transparent 70%);
  padding: 30px;
  border-radius: 100%;
  width: 500px;
  height: 500px;
  transition: all 1.5s 0.5s;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) scale(0);
  opacity: 0;
}

.pro-banner_container .swiper-slide-active::after {
  transform: translate(-50%, -50%) scale(1);
  opacity: 1;
}

@keyframes circlePulse {
  0% {
    transform: translate(-50%, -50%) scale(0.8);
    opacity: 0;
  }

  50% {
    opacity: 1;
  }

  100% {
    transform: translate(-50%, -50%) scale(1);
    opacity: 1;
  }
}

.pro-banner_container .reflection {
  position: absolute;
  left: 50%;
  bottom: 90px;
  transform: translateX(-50%);
  width: 350px;
  height: 120px;
  opacity: .15;
  filter: blur(4px);
  background: linear-gradient(to bottom, rgba(255, 0, 0, 0.2), transparent);
}

.pro-banner_container .slider-nav {
  position: absolute;
  right: 15%;
  top: 50%;
  transform: translateY(-50%);
  z-index: 10;
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.pro-banner_container .nav-btn {
  width: 58px;
  height: 58px;
  border-radius: 50%;
  border: 2px solid #E60012;
  background: #ffffff63;
  color: #E60012;
  cursor: pointer;
  transition: .3s;
  font-size: 28px;
}

.pro-banner_container .nav-btn:hover {
  background: #E60012;
  color: #fff;
}

.pro-banner_container .swiper-slide-active .content {
  animation: leftFade 1s ease;
}

.pro-banner_container .swiper-slide-active .product img {
  animation: productShow 1.5s ease;
}

@keyframes leftFade {
  from {
    opacity: 0;
    transform: translateY(-100px);
  }

  to {
    opacity: 1;
    transform: none;
  }
}

@keyframes productShow {
  from {
    opacity: 0;
    transform: scale(0.7);
  }

  to {
    opacity: 1;
    transform: scale(1);
  }
}

@media (max-width: 991px) {
.pro-banner_container {
  width: 100%;
  height: auto;
}

.pro-banner_container .content p {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

    .pro-banner_container .swiper-slide::after {
        width: 300px;
        height: 300px;
    }

  .pro-banner_container .swiper {
    padding: 0 20px;
  }

  .pro-banner_container .slide-inner {
    flex-direction: column;
    justify-content: center;
    gap: 40px;
    text-align: center;
  }

  .pro-banner_container .content {
    width: 100%;
  }

  .pro-banner_container .content h2 {
    font-size: 28px;
  }

  /*.pro-banner_container .product img {*/
  /*  width: 280px;*/
  /*}*/

  /*.pro-banner_container .product-circle {*/
  /*  width: 340px;*/
  /*  height: 340px;*/
  /*}*/

  .pro-banner_container .product-circle::before {
    width: 290px;
    height: 290px;
  }

  .pro-banner_container .product-circle::after {
    width: 310px;
    height: 310px;
  }

  .pro-banner_container .slider-nav {
    right: 20px;
  }
}
























/*---------------------------------------应用---------------------------------------*/
.application-wrap_container .grid-container {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-auto-rows: 350px;
  gap: 0;
}

.application-wrap_container .grid-item {
  position: relative;
  overflow: hidden;
  color: #fff;
}

.application-wrap_container .grid-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  filter: brightness(0.7);
  transition: transform 0.3s ease;
}

.application-wrap_container .grid-item:hover img {
  transform: scale(1.05);
}

.application-wrap_container .grid-text {
  position: absolute;
  bottom: 25px;
  left: 25px;
  font-size: 20px;
  font-weight: 600;
  text-shadow: 0 2px 10px rgba(0, 0, 0, 0.5);
}

.application-wrap_container .grid-text::before {
  content: '';
  display: block;
  width: 30px;
  height: 2px;
  background: #fff;
  margin-bottom: 10px;
}

.application-wrap_container .grid-center-card {
  background: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  cursor: pointer;
}

.application-wrap_container .grid-center-card:hover .red-arrow {
    width: 100px;
}

.application-wrap_container .grid-center-text {
  text-align: center;
  color: #333;
  font-size: 32px;
  font-weight: bold;
  text-transform: uppercase;
  letter-spacing: 1px;
}

.application-wrap_container .grid-center-text span {
  display: block;
}

.application-wrap_container .red-arrow {
  position: absolute;
  top: 0;
  left: 0;
  width: 80px;
  height: 60px;
  background: #E60012;
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: width 0.3s ease;
}

/*.application-wrap_container .red-arrow::after {*/
/*  content: '';*/
/*  width: 30px;*/
/*  height: 3px;*/
/*  background: #fff;*/
/*  position: relative;*/
/*}*/

/*.application-wrap_container .red-arrow::before {*/
/*  content: '';*/
/*  position: absolute;*/
/*  width: 16px;*/
/*  height: 16px;*/
/*  border-top: 3px solid #fff;*/
/*  border-right: 3px solid #fff;*/
/*  transform: rotate(45deg);*/
/*  right: 25px;*/
/*}*/

@media (max-width: 1024px) {
  .application-wrap_container .grid-container {
    grid-template-columns: repeat(2, 1fr);
    grid-auto-rows: 250px;
  }

  .application-wrap_container .grid-center-card {
    grid-column: span 2;
  }

  .application-wrap_container .grid-center-text {
    font-size: 28px;
  }
}

@media (max-width: 600px) {
  .application-wrap_container .grid-container {
    grid-template-columns: 1fr;
    grid-auto-rows: 220px;
  }

  .application-wrap_container .grid-center-card {
    grid-column: span 1;
  }

  .application-wrap_container .grid-text {
    font-size: 18px;
    bottom: 20px;
    left: 20px;
  }

  .application-wrap_container .grid-center-text {
    font-size: 24px;
  }

  .application-wrap_container .red-arrow {
    /*width: 60px;*/
    height: 45px;
  }
}

























/*---------------------------------------新闻---------------------------------------*/
.news-wrap_container .news-grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 40px;
}

.news-wrap_container .news-item-large {
  display: flex;
  flex-direction: column;
}

.news-wrap_container .news-image {
  width: 100%;
  height: auto;
  object-fit: cover;
  margin-bottom: 20px;
}

.news-wrap_container .news-title {
  font-size: 22px;
  font-weight: 600;
  margin-bottom: 12px;
}

.news-wrap_container .news-excerpt {
  font-size: 16px;
  color: #888;
  margin-bottom: 20px;
}

.news-wrap_container .news-footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: auto;
}

.news-wrap_container .news-date {
  color: #999;
  font-size: 15px;
}

.news-wrap_container .view-details {
  color: #555;
  font-size: 17px;
  text-decoration: none;
  display: inline-flex;
  align-items: center;
  gap: 6px;
  transition: color 0.2s;
}

.news-wrap_container .view-details::after {
  content: '>';
  font-size: 20px;
}

.news-wrap_container .view-details:hover {
  color: #000;
}

.news-wrap_container .news-list {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 30px;
}

.news-wrap_container .news-item-small {
  display: flex;
  gap: 20px;
  padding-bottom: 30px;
  border-bottom: 1px solid #eee;
}

.news-wrap_container .news-item-small:last-child {
  border-bottom: none;
  padding-bottom: 0;
}

.news-wrap_container .news-content {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.news-wrap_container .news-image-small {
  width: 220px;
  height: auto;
  object-fit: cover;
  flex-shrink: 0;
}

.news-wrap_container .news-image-small img {
flex: 1;
}

.news-wrap_container .news-content .news-title {
  font-size: 20px;
  margin-bottom: 8px;
}

.news-wrap_container .news-content .news-date {
  margin-bottom: 20px;
}

@media (max-width: 992px) {
  .news-wrap_container .news-grid {
    grid-template-columns: 1fr;
  }

  .news-wrap_container .news-item-small {
    flex-direction: column-reverse;
  }

  .news-wrap_container .news-image-small {
    width: 100%;
  }
}

@media (max-width: 576px) {
  .news-wrap_container .news-title {
    font-size: 20px;
  }

  .news-wrap_container .news-content .news-title {
    font-size: 18px;
  }

  .news-wrap_container .view-details {
    font-size: 16px;
  }
}












































/* ---------------------------------------荣誉证书--------------------------------------- */
.honor-box_container {
    /* max-width: 1500px; */
    margin: 0 auto;
}

.honor-box_container .swiper-wrapper {
    align-items: flex-end;
}

.honor-box_container .swiper-slide {
    transition: transform 0.3s ease;
    display: flex;
    justify-content: center;
    /* 图片居中 */
    transform: scale(0.7);
}

.honor-box_container .swiper-slide.swiper-slide-active {
    transform: scale(1);
}

.honor-box_container .swiper-slide img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    border-radius: 6px;
    transition: box-shadow 0.3s ease;
}

.honor-box_container .swiper-button-next, .honor-box_container .swiper-button-prev {
    position: static;
    width: 44px;
    height: 44px;
    border-radius: 50%;
    background: #f9e9e9;
    color: #333;
}

/* 荣誉证书分页数字美化 */
.honor-pagination {
    display: flex;
    /* align-items: center; */
    justify-content: center;
    height: 44px;
    font-size: 20px;
    font-weight: bold;
    color: #888;
    line-height: 1;
}

.honor-box_container .swiper-button-next::after, .honor-box_container .swiper-button-prev::after {
    font-size: 18px;
    color:#E60012;
}

@media screen and (max-width: 1199px) {
  .honor-box_container .swiper-slide {
    padding: 0 var(--mob-spacing);
  }
}

























/* ---------------------------------------关于我们--------------------------------------- */
.about-section_container {
  position: relative;
  width: 100%;
  min-height: 90vh;
  background-color: #ffffff;
  overflow: hidden;
  display: flex;
  align-items: flex-start;
}

.about-section_container .shape {
  content: '';
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  background-color: #E60012;
  clip-path: polygon(0 45%, 0 100%, 100% 100%, 100% 100%);
  z-index: 1;
}

.about-section_container .image {
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
}


.about-section_container .text-container {
  position: relative;
  z-index: 2;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  width: 100%;
  padding: 0 35% 0 0;
  margin-top: 12vh;
}

.about-section_container .about-text {
  flex: 1;
  min-width: 300px;
}

.about-section_container .logo {
  margin-bottom: 20px;
}

.about-section_container .logo img {
  width: 246px;
  height: 100%;
  object-fit: contain;
}

.about-section_container .about-text .text {
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 5;
  line-clamp: 5;
  -webkit-box-orient: vertical;
  font-size: 16px;
  line-height: 1.8;
  color: #333333;
  margin-top: 20px;
  text-align: justify;
}

.about-section_container .about-image {
  flex: 1.2;
  min-width: 300px;
  position: relative;
}

.about-section_container .about-image img {
  width: 100%;
  height: auto;
  display: block;
  border-radius: 4px;
}

.about-section_container .watermark {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 12vw;
  font-weight: 900;
  color: rgba(0, 0, 0, 0.03);
  z-index: 0;
  pointer-events: none;
  white-space: nowrap;
}

@media (max-width: 992px) {

  .about-section_container .text-container {
    flex-direction: column;
    text-align: center;
    margin-top: 5vh;
  }

  /*.about-section_container {*/
  /*  align-items: center;*/
  /*}*/

  .about-section_container::before {
    clip-path: polygon(0 80%, 0 100%, 100% 100%, 100% 100%);
  }

  .about-section_container .about-text p {
    text-align: left;
  }

  .about-section_container .watermark {
    font-size: 15vw;
  }
}

@media (max-width: 576px) {
  .about-section_container .container {
    padding: 30px 4%;
  }

  .about-section_container .about-text p {
    font-size: 14px;
  }
}
